Subject: bug#15747: Patch to optionally display raw bytes in hexadecimal

From: Nathan Trapuzzano <[email-masked]>
Date: Tue, 29 Oct 2013 13:18:26 -0400

Eli Zaretskii <[email-masked]> writes:

> For some "symmetry" with read-quoted-char-radix, perhaps make the name
> something like display-raw-bytes-radix, and make the feature accept
> the same values (i.e., 8. 10, and 16).

How do you suppose decimal escapes should be displayed so as to be
distinguishable from octal escapes?  Left-padding them with 0s, which
typically indicates octal, seems like a bad idea; not padding them at
all would result in variable-width escapes, which seems like another bad
idea; and finally, many decimal escapes with three significant digits,
e.g. "\255", look like they may as well be octal.

The benefit to the way the hex escapes are implemented is that (1) they
are distinguishable from octal, thanks to the leading "x"; and (2) a
given hex escape sequence is the same width as its corresponding octal
escape, e.g. "\017" and "\x0F".  I don't see how these properties could
be retained with decimal escapes.